Subject: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Michael Albinus <[email-masked]>
Date: Fri, 12 Aug 2022 13:07:51 +0200

Jean Louis <[email-masked]> writes:

Hi Jean,

> * Michael Albinus <[email-masked]> [2022-08-08 11:58]:
>> I've tried to reproduce the problem on my Galaxy S6, installing
>> SimpleSSHD. However, I fail, because the shell refuses to operate
>> properly with the message
>
> I am long time Tramp user who connects to Replicant, Lineage OS and
> Android devices. Everything worked well. Recently it stopped
> working. Thus I do not assume that my devices are not working or that
> something inside of them changed, as it did not change, but I assume
> that development process of Tramp introduced some new problems.

Perhaps.

>> Do you know which setup on my Galaxy I need in order to get the shell
>> working?  Do you have some special settings in order to let sshd running
>> on your Android devices?
>
> I am using Termux package from F-Droid, and inside of Termux I install
> OpenSSH and run it with `sshd -p 8022'

I've tried it. Installing OpenSSH inside failed, with error messages
about the repositories where openssh shall be installed from.

> Recently I get these errors:
>
> Tramp: Opening connection nil for motorolausb using scp...done
> File error: Couldn't find a proper `ls' command
> tramp-error: Couldn't find a proper `ls' command
>
> However, I did not change anything.

I've asked you for Tramp traces. Could you pls follow the steps I've
given the other message, and send the traces? Otherwise, I cannot do
anything.

Best regrads, Michael.